Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Gdk::Bitmap Class Reference

A GdkBitmap C++ wrapper class. More...

`#include <inti/gdk/bitmap.h>`

Inheritance diagram for Inti::Gdk::Bitmap:

List of all members.

## Public Member Functions

Constructors

- Bitmap (const char *data, int width, int height)
    Create a new bitmap from data in XBM format using the root window to determine the default values.
- Bitmap (const Window &window, const char *data, int width, int height)
    Create a new bitmap from data in XBM format using window to determine the default values.
- virtual ~Bitmap ()
    Destructor.

Accessors

- GdkBitmap * gdk_bitmap () const
    Get a pointer to the GdkBitmap structure.

## Protected Member Functions

Constructors

- Bitmap (GdkBitmap *bitmap, bool reference=true)
    Construct a new Bitmap from an existing GdkBitmap.

## Detailed Description

A GdkBitmap C++ wrapper class.

Bitmap, like Pixmaps are offscreen drawables. They can be drawn upon with the standard drawing primitives, then copied to another drawable (such as a Gdk::Window) with Gdk::Pixmap::draw(). The depth of a pixmap is the number of bits per pixels. Bitmaps are simply pixmaps with a depth of 1. (That is, they are monochrome bitmaps, each pixel can be either on or off).

## Constructor & Destructor Documentation

Inti::Gdk::Bitmap::Bitmap | ( | GdkBitmap * | bitmap,
|  | bool | reference = true
| ) | `[explicit, protected]`

  | Construct a new Bitmap from an existing GdkBitmap. Parameters:
  bitmap | A pointer to a GdkBitmap.
  reference | Set false if the initial reference count is floating, set true if it's not.
The bitmap can be a newly created GdkBitmap or an existing GdkBitmap. (see G::Object::Object).

Inti::Gdk::Bitmap::Bitmap | ( | const char * | data,
|  | int | width,
|  | int | height
| ) |

  | Create a new bitmap from data in XBM format using the root window to determine the default values. Parameters:
  data | A pointer to the XBM data.
  width | The width of the new bitmap in pixels.
  height | The height of the new bitmap in pixels.

Inti::Gdk::Bitmap::Bitmap | ( | const Window & | window,
|  | const char * | data,
|  | int | width,
|  | int | height
| ) |

  | Create a new bitmap from data in XBM format using window to determine the default values. Parameters:
  window | The window to use.
  data | A pointer to the XBM data.
  width | The width of the new bitmap in pixels.
  height | The height of the new bitmap in pixels.

The documentation for this class was generated from the following file:

- bitmap.h

Main Page - Footer